<?php
// $Id: template.php,v 1.10.2.1 2008/04/20 14:12:15 hswong3i Exp $

function internet_services_theme() {
  return array(
    'primary' => array(
      'arguments' => array('form' => NULL, 'items' => NULL),
    ),
    'mission' => array(
      'arguments' => array('form' => NULL),
    ),
  );
}

/**
 * Return a themed primary menu.
 */
function internet_services_primary($items = array()) {
  $menu_options = menu_get_menus();
  $primary_links = variable_get('menu_primary_links_source', 'primary-links');
  $output = '<div class="title">' . $menu_options[$primary_links] . '</div>';
  $output .= theme('links', $items);
  return $output;
}

/**
 * Return a themed mission trail.
 *
 * @return
 *   a string containing the mission output, or execute PHP code snippet if
 *   mission is enclosed with <?php ?>.
 */
function internet_services_mission() {
  $mission = theme_get_setting('mission');
  if (preg_match('/^<\?php/', $mission)) {
    $mission = drupal_eval($mission);
  }
  else {
    $mission = filter_xss_admin($mission);
  }
  return isset($mission) ? $mission : '';
}
